/**
 * Layout Patches and Adjustment Classes
 */


/*! ===== Row Adjustment Classes ===== */

/*! ----- Rows: Floating Row ----- */

/* add to an inner row to make it float above a following inner row */
@media screen and (min-width: 1000px) {
	.row-floating-above {
		position: absolute;
		width: 100%;
		z-index: 11;
	}
}


/*! ----- Rows: Hanging [Inner] Row ----- */

@media screen and (min-width: 1000px) {
	.row-hang-left,
	.row-hang-right {
		z-index: 2;  /* pull above adjacent column content */
	}

	.row-hang-left {
		margin-left: -16.667% !important;
	}

	.row-hang-right {
		margin-right: -16.667% !important;
	}
}


/*! ----- Rows: Overlapping Rows ----- */

@media screen and (min-width: 1000px) {
	.row-overlap-top,
	.row-overlap-bottom {
		z-index: 10;
	}

	.row-overlap-top {
		padding-top: 0 !important;
	}
	.row-overlap-top > .col {
		margin-top: -120px !important;
	}
	.row-overlapped-top > .col {
		padding-top: 120px;
	}

	.row-overlap-bottom {
		padding-bottom: 0 !important;
	}
	.row-overlap-bottom > .col {
		margin-bottom: -120px !important;
	}
	.row-overlapped-bottom > .col {
		padding-bottom: 120px;
	}

	/* override older method found in css/slider.css */
	.slider-overlapped + div.row-overlap-top {
		margin-top: 0;
	}

	/* remove the overlap effect from a specific column */
	.row-overlap-top .col-dont-overlap {
		margin-top: 120px;
	}
	.row-overlap-bottom .col-dont-overlap {
		margin-bottom: 120px;
	}
}


/*! ----- Rows: Reversed Column Ordering ----- */
/* ref:  https://themenectar.ticksy.com/article/11298/ */
/* DEPRECATED: now a built-in page builder option [2020-10] */

.row-reverse > .col,
.wstl-row-reverse > .col {
	flex-direction: row-reverse;
}

/* Fix for columns set to "small_deskop" (tablet columns vs mobile full-width) losing reverse ordering at tablet width [2021-04] */
@media only screen and (min-width: 690px) and (max-width: 999px) {
	.wpb_row.reverse_columns_desktop > [class*="row_col_wrap_12"] {
		flex-direction: row-reverse;
	}
}


/*! ===== Column Adjustment Classes ===== */

/*! ----- Columns: Content Flush (No Bottom Margin) ----- */
/* removes bottom margin from all column direct content elements */

.col-content-flush > .vc_column-inner > .wpb_wrapper > * {
	margin-bottom: 0;
}
/* let images scale up to fill the column width */
.col-content-flush .img-with-aniamtion-wrap img {
	width: auto;
}


/*! ----- Columns: Height Auto ----- */
/* for columns getting their height unwantingly set by Salient JS */

.col-height-auto,
.col-height-to-content {
	height: auto !important;
}


/*! ----- Columns: Overlapping Columns ----- */

@media screen and (min-width: 1000px) {
	.col-overlap-top {
		margin-top: -120px;
	}
	.col-overlapped-top > .vc_column-inner > .wpb_wrapper {
		padding-top: 120px;
	}

	.col-overlap-bottom {
		margin-bottom: -120px;
	}
	.col-overlapped-bottom > .vc_column-inner > .wpb_wrapper {
		padding-bottom: 120px;
	}
}



/*! ===== Mobile Adjustment Classes ===== */

/*! ----- Mobile: Clear Side Margins ----- */
/* Clears side (left/right) margin set on an element [2018-10] */

@media screen and (max-width: 999px) {
	body .wstl-mobile-clear-side-margin {
		margin-left:  0 !important;
		margin-right: 0 !important;
	}
}


/*! ----- Mobile: Toggle "Full Width" Rows to "In Container" ----- */

/* Changes a full-width row to be in-container on mobile */
@media screen and (max-width: 999px) {
	.wpb_row.full-width-section.wstl-mobile-in-container .row-bg-wrap {
		left: 0;
		margin-left: 0;
		width: 100%;
	}
	/* DEPRICATED 2019-01; v8 structure */
	.row-mobile-in-container,  /* deprecated syntax [2018-10] */
	.wpb_row.full-width-section.wstl-mobile-in-container {
		margin-left: 0 !important;
		padding-left:  0 !important;
		padding-right: 0 !important;
	}
}

/* Changes a full-width row (with Tabs/inner Row?) to be in-container on mobile */
@media screen and (max-width: 999px) {
	.wpb_row.full-width-content.wstl-mobile-in-container,
	.wpb_row.full-width-content .wpb_row.wstl-mobile-in-container,
	/* Changes a column within a full-width row to constrain to in-container on mobile [2018-10] */
	.wpb_column.wstl-mobile-in-container > .vc_column-inner > .wpb_wrapper {
		max-width: 600px;
		margin-left:  auto !important;
		margin-right: auto !important;
	}
}

@media screen and (max-width: 690px) {
	.wpb_row.full-width-content.wstl-mobile-in-container,
	.wpb_row.full-width-content .wpb_row.wstl-mobile-in-container,
	.wpb_column.wstl-mobile-in-container > .vc_column-inner > .wpb_wrapper {
		max-width: 420px;
	}
}

@media screen and (max-width: 480px) {
	.wpb_row.full-width-content.wstl-mobile-in-container,
	.wpb_row.full-width-content .wpb_row.wstl-mobile-in-container,
	.wpb_column.wstl-mobile-in-container > .vc_column-inner > .wpb_wrapper {
		max-width: 320px;
	}
}



/*! ===== Page Elements ===== */

/*! ----- Clients Display ----- */

/* Images don't need bottom margin [2020-10] */
.row .col .clients img {
	margin-bottom: 0;
}

/* Fix 6-col spacing on tablet bug [2020-10] */
@media only screen and (max-width: 999px) and (min-width: 690px) {
	body .clients.no-carousel.six-cols > div {
		margin-right: 1%;
	}
	body .clients.no-carousel.six-cols > div:nth-child(6n) {
		margin-right: 0;
	}
}

/* Add extra padding on mobile [2020-10] */
@media only screen and (max-width: 690px) {
	.clients.no-carousel {
		margin-bottom: -4%;  /* absorb last row of bottom col margin */
	}

	body .clients[class*="col"].no-carousel > div {
		margin: 0 4% 4% 0;
		width: 48%;
	}
}
